# Use the blueprints/ci image as this has most of the requirements for this project
image: $CI_REGISTRY/linaro/blueprints/ci

# Default variables - these can be overridden by defining their values in the environment
variables:
  # Name for build reproducer
  BUILD_REPRODUCER_FILE: build_reproducer.yaml
  # Name for test reproducer
  TEST_REPRODUCER_FILE: test_reproducer.yaml
  # Output reproducer file name
  OUTPUT_REPRODUCER_FILE: reproducer.yaml
  # Name for the json out file when submitting the tuxsuite plan
  JSON_OUT_NAME: out.json
  # Number of times test reproducers should be rerun
  RUN_COUNT: 1
  # Whether to fetch the build for a given test - set to "true" to fetch the test's build
  REBUILD: "false"

  # Address for SQUAD instance
  QA_SERVER: https://qa-reports.linaro.org
  # QA_TEAM for storing retriggered build/test results
  QA_TEAM: lkft
  # QA_PROJECT for storing retriggered build/test results
  QA_PROJECT: retrigger-testing
  # QA_PROJECT_NAME for storing retriggered build/test results
  QA_PROJECT_NAME: Retrigger testing

  # URL for common repo for downloading required scripts
  COMMON_BASE_URL: https://gitlab.com/Linaro/lkft/pipelines/common/-/raw/master
  # Location of squad-client-utils repo for downloading required scripts
  SQUAD_CLIENT_UTILS_BASE_URL: https://raw.githubusercontent.com/Linaro/squad-client-utils/master

  # Additional required variables for the create-or-update function from the common repo
  QA_WAIT_BEFORE_NOTIFICATION_TIMEOUT: "600"
  QA_NOTIFICATION_TIMEOUT: "28800"
  QA_FORCE_FINISHING_BUILDS_ON_TIMEOUT: "false"
